import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatPaginator } from "@angular/material/paginator";
import { MatSort } from "@angular/material/sort";
import { ContactLogQueryStore } from "./contact-log-table-query.store";
import { ContactLog, ContactLogFilter, ContactLogService, Partner } from "@yukawa/chain-crm-angular-core";
import { ActivatedRoute } from '@angular/router';
import * as i0 from "@angular/core";
export declare class ContactLogTableComponent implements OnInit, OnDestroy, AfterViewInit {
    private service;
    private _route;
    private cdRef;
    dataSource: ContactLogQueryStore;
    Partners: Partner[];
    displayedColumns: string[];
    customColumns: any[];
    matSortActive: string;
    action: EventEmitter<any>;
    paginator: MatPaginator;
    sort: MatSort;
    contactLogFilter: ContactLogFilter;
    constructor(service: ContactLogService, _route: ActivatedRoute, cdRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    reload(): void;
    protected applyFilter(filter: ContactLogFilter): void;
    onAction(type: string, contactLog: ContactLog | any): void;
    protected fireAction(action: any): void;
    partnerName(participantId: any): string;
    static ɵfac: i0.ɵɵFactoryDef<ContactLogTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<ContactLogTableComponent, "chain-contact-log-table", never, { "dataSource": "dataSource"; "Partners": "Partners"; "displayedColumns": "displayedColumns"; "customColumns": "customColumns"; "matSortActive": "matSortActive"; }, { "action": "action"; }, never, ["*"]>;
}
