import { QueryTableSource } from '@yukawa/chain-base-angular-store';
import { BehaviorSubject } from 'rxjs';
import * as i0 from '@angular/core';
import { EventEmitter, isDevMode, forwardRef, Component, ViewEncapsulation, Inject, Input, Output, ViewChild, NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import * as i2 from '@angular/material/paginator';
import { MatPaginator, MatPaginatorModule } from '@angular/material/paginator';
import * as i4 from '@angular/material/sort';
import { MatSort, MatSortModule } from '@angular/material/sort';
import * as i1 from '@yukawa/chain-crm-angular-core';
import { AccountService, AccountUtilities, RelationConfigService, RelationService, ContactLogService } from '@yukawa/chain-crm-angular-core';
import * as i3 from '@angular/material/table';
import { MatTableModule } from '@angular/material/table';
import * as i5 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i6 from '@angular/cdk/table';
import { CdkTableModule } from '@angular/cdk/table';
import * as i5$1 from '@angular/flex-layout/flex';
import * as i8 from '@angular/material/button';
import { MatButtonModule } from '@angular/material/button';
import * as i9 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i10 from '@ngx-translate/core';
import { TranslateModule } from '@ngx-translate/core';
import * as i2$1 from '@angular/router';
import { ActivatedRoute, Router } from '@angular/router';
import * as i3$1 from '@angular/cdk/overlay';
import { Overlay, OverlayModule } from '@angular/cdk/overlay';
import * as i4$1 from '@angular/material/toolbar';
import { MatToolbarModule } from '@angular/material/toolbar';
import * as i11 from '@angular/material/tooltip';
import { MatTooltipModule } from '@angular/material/tooltip';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { FlexLayoutModule } from '@angular/flex-layout';
import { HttpClientModule } from '@angular/common/http';
import { MatRippleModule } from '@angular/material/core';
import { MatSlideToggleModule } from '@angular/material/slide-toggle';
import { MatMenuModule } from '@angular/material/menu';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatDatepickerModule } from '@angular/material/datepicker';

class AccountQueryStore extends QueryTableSource {
    constructor(service, paginator, sort, tableFilter) {
        super(paginator, sort, tableFilter);
        this.service = service;
        this.paginator = paginator;
        this.sort = sort;
        this.tableFilter = tableFilter;
        this.filterSubject = new BehaviorSubject(tableFilter);
    }
    queryTable() {
        let filter = this.findFilter();
        this.applyFilter(filter);
        if (filter.keyword)
            filter.keyword += '*';
        return this.service.queryAccount(filter);
        //   var data = {
        //       "op" : "query",
        //       "fqn" : "bf-questionnaire-data",
        //       "stamp" : "2020-08-13T20:40:23.292+0000",
        //       "rows" : 3,
        //       "hasMore" : false,
        //       "messages" : [ {
        //           "code" : "OK",
        //           "type" : "duration",
        //           "level" : 1,
        //           "text" : "OK 1ms"
        //       } ],
        //       "items" : [
        //           {"name": "SAP", "owner": "Dietmar"},
        //           {"name": "Siemens", "owner": "Joe"},
        //           {"name": "Wirecard", "owner": "Jan"}
        //       ],
        //       "took" : 1
        //   }
        // return of(data);
    }
}

function AccountTableComponent_mat_header_cell_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.DISPLAY_NAME"), " ");
} }
function AccountTableComponent_mat_cell_7_span_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate2("", row_r29.firstName, " \u00A0 ", row_r29.lastName, "");
} }
function AccountTableComponent_mat_cell_7_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r29 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(row_r29.companyName);
} }
function AccountTableComponent_mat_cell_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵtemplate(1, AccountTableComponent_mat_cell_7_span_1_Template, 2, 2, "span", 23);
    i0.ɵɵtemplate(2, AccountTableComponent_mat_cell_7_span_2_Template, 2, 1, "span", 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r29 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", row_r29.partnerType == "person");
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("ngIf", row_r29.partnerType == "company");
} }
function AccountTableComponent_mat_header_cell_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.FIRST_NAME"), " ");
} }
function AccountTableComponent_mat_cell_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r34 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r34.firstName);
} }
function AccountTableComponent_mat_header_cell_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.PARTNER_TYPE"), " ");
} }
function AccountTableComponent_mat_cell_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r35 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r35.partnerType);
} }
function AccountTableComponent_mat_header_cell_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.LAST_NAME"), " ");
} }
function AccountTableComponent_mat_cell_16_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r36 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r36.lastName);
} }
function AccountTableComponent_mat_header_cell_18_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.COMPANY_NAME"), " ");
} }
function AccountTableComponent_mat_cell_19_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r37 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r37.companyName);
} }
function AccountTableComponent_mat_header_cell_21_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.ID"));
} }
function AccountTableComponent_mat_cell_22_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r38 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate((row_r38.info == null ? null : row_r38.info.shortName) || row_r38.partnerId);
} }
function AccountTableComponent_mat_header_cell_24_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.ROLE"));
} }
function AccountTableComponent_mat_cell_25_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r39 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r39.role);
} }
function AccountTableComponent_mat_header_cell_27_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.COMMUNICATION_CHANNEL"), " ");
} }
function AccountTableComponent_mat_cell_28_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r40 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r40.preferredCommunicationChannel);
} }
function AccountTableComponent_mat_header_cell_30_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.MOBILE"));
} }
function AccountTableComponent_mat_cell_31_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r41 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r41.mobile);
} }
function AccountTableComponent_mat_header_cell_33_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.OWNER"));
} }
function AccountTableComponent_mat_cell_34_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r42 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r42 == null ? null : row_r42.created == null ? null : row_r42.created.user);
} }
function AccountTableComponent_mat_header_cell_36_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 22);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "PARTNER.HEADER.STATUS"));
} }
function AccountTableComponent_mat_cell_37_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementEnd();
} }
function AccountTableComponent_ng_container_38_mat_header_cell_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r44 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r44.header);
} }
function AccountTableComponent_ng_container_38_mat_cell_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r48 = ctx.$implicit;
    const column_r44 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r44.cell(row_r48));
} }
function AccountTableComponent_ng_container_38_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 24);
    i0.ɵɵtemplate(1, AccountTableComponent_ng_container_38_mat_header_cell_1_Template, 2, 1, "mat-header-cell", 25);
    i0.ɵɵtemplate(2, AccountTableComponent_ng_container_38_mat_cell_2_Template, 2, 1, "mat-cell", 26);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const column_r44 = ctx.$implicit;
    i0.ɵɵproperty("cdkColumnDef", column_r44.columnDef);
} }
function AccountTableComponent_mat_header_cell_40_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-cell", 22);
} }
function AccountTableComponent_mat_cell_41_Template(rf, ctx) { if (rf & 1) {
    const _r52 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "div", 27);
    i0.ɵɵelementStart(2, "button", 28);
    i0.ɵɵlistener("click", function AccountTableComponent_mat_cell_41_Template_button_click_2_listener() { i0.ɵɵrestoreView(_r52); const row_r50 = ctx.$implicit; const ctx_r51 = i0.ɵɵnextContext(); return ctx_r51.onAction("delete", row_r50); });
    i0.ɵɵelementStart(3, "mat-icon", 29);
    i0.ɵɵtext(4, " delete ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function AccountTableComponent_mat_header_row_42_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-row");
} }
function AccountTableComponent_mat_row_43_Template(rf, ctx) { if (rf & 1) {
    const _r55 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-row", 30);
    i0.ɵɵlistener("click", function AccountTableComponent_mat_row_43_Template_mat_row_click_0_listener() { i0.ɵɵrestoreView(_r55); const row_r53 = ctx.$implicit; const ctx_r54 = i0.ɵɵnextContext(); return ctx_r54.onAction("edit", row_r53); });
    i0.ɵɵelementEnd();
} }
const _c0$2 = function () { return [5, 10, 25, 100]; };
;
const TAG$2 = "AccountTableComponent";
class AccountTableComponent {
    constructor(service) {
        this.service = service;
        this.displayedColumns = ['displayName', 'lastName', 'firstName', 'companyName', 'role', 'preferredCommunicationChannel'];
        this.customColumns = [];
        this.action = new EventEmitter();
    }
    ngOnInit() {
        if (this.customColumns && this.customColumns.length > 0) {
            let abc = this.customColumns.map(c => c.columnDef);
            this.displayedColumns.push(...abc);
            // this.displayedColumns.push("actions")
        }
        // else {
        //     this.displayedColumns.push("actions")
        // }
        this.dataSource = new AccountQueryStore(this.service, this.paginator, this.sort, this.AccountFilter);
    }
    ngOnDestroy() {
        this.action.complete();
    }
    reload(keyword) {
        this.AccountFilter.keyword = keyword;
        this.applyFilter(this.AccountFilter);
    }
    applyFilter(filter) {
        this.dataSource.filterSubject.next(filter);
    }
    onAction(type = "", partner) {
        if (isDevMode()) {
            console.debug(TAG$2, "onAction", partner);
        }
        event.stopPropagation();
        this.fireAction({ type: type, partner: partner });
    }
    fireAction(action) {
        this.action.emit(action);
    }
}
/** @nocollapse */ AccountTableComponent.ɵfac = function AccountTableComponent_Factory(t) { return new (t || AccountTableComponent)(i0.ɵɵdirectiveInject(forwardRef(() => AccountService))); };
/** @nocollapse */ AccountTableComponent.ɵcmp = i0.ɵɵdefineComponent({ type: AccountTableComponent, selectors: [["crm-account-overview-table"]], viewQuery: function AccountTableComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵstaticViewQuery(MatPaginator, true);
        i0.ɵɵstaticViewQuery(MatSort, true);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.paginator = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.sort = _t.first);
    } }, inputs: { displayedColumns: "displayedColumns", customColumns: "customColumns", AccountFilter: "AccountFilter" }, outputs: { action: "action" }, decls: 44, vars: 8, consts: [[1, "table-layout-1"], ["color", "accent", 3, "pageIndex", "pageSize", "pageSizeOptions"], ["paginator", ""], ["matSort", "", "matSortDirection", "asc", "matSortDisableClear", "", 3, "dataSource"], ["table", ""], ["matColumnDef", "displayName"], ["mat-sort-header", "", 4, "matHeaderCellDef"], [4, "matCellDef"], ["matColumnDef", "firstName"], ["matColumnDef", "type"], ["matColumnDef", "lastName"], ["matColumnDef", "companyName"], ["matColumnDef", "partnerId"], ["matColumnDef", "role"], ["matColumnDef", "preferredCommunicationChannel"], ["matColumnDef", "mobile"], ["matColumnDef", "created.user"], ["matColumnDef", "status"], [3, "cdkColumnDef", 4, "ngFor", "ngForOf"], ["matColumnDef", "actions"], [4, "matHeaderRowDef"], [3, "click", 4, "matRowDef", "matRowDefColumns"], ["mat-sort-header", ""], [4, "ngIf"], [3, "cdkColumnDef"], [4, "cdkHeaderCellDef"], [4, "cdkCellDef"], ["fxLayout", "row", "fxLayoutAlign", "end"], ["mat-raised-button", "", 1, "icon-btn2", "primary-50-bg", 3, "click"], ["color", "warn"], [3, "click"]], template: function AccountTableComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0);
        i0.ɵɵelement(1, "mat-paginator", 1, 2);
        i0.ɵɵelementStart(3, "mat-table", 3, 4);
        i0.ɵɵelementContainerStart(5, 5);
        i0.ɵɵtemplate(6, AccountTableComponent_mat_header_cell_6_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(7, AccountTableComponent_mat_cell_7_Template, 3, 2, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(8, 8);
        i0.ɵɵtemplate(9, AccountTableComponent_mat_header_cell_9_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(10, AccountTableComponent_mat_cell_10_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(11, 9);
        i0.ɵɵtemplate(12, AccountTableComponent_mat_header_cell_12_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(13, AccountTableComponent_mat_cell_13_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(14, 10);
        i0.ɵɵtemplate(15, AccountTableComponent_mat_header_cell_15_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(16, AccountTableComponent_mat_cell_16_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(17, 11);
        i0.ɵɵtemplate(18, AccountTableComponent_mat_header_cell_18_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(19, AccountTableComponent_mat_cell_19_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(20, 12);
        i0.ɵɵtemplate(21, AccountTableComponent_mat_header_cell_21_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(22, AccountTableComponent_mat_cell_22_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(23, 13);
        i0.ɵɵtemplate(24, AccountTableComponent_mat_header_cell_24_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(25, AccountTableComponent_mat_cell_25_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(26, 14);
        i0.ɵɵtemplate(27, AccountTableComponent_mat_header_cell_27_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(28, AccountTableComponent_mat_cell_28_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(29, 15);
        i0.ɵɵtemplate(30, AccountTableComponent_mat_header_cell_30_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(31, AccountTableComponent_mat_cell_31_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(32, 16);
        i0.ɵɵtemplate(33, AccountTableComponent_mat_header_cell_33_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(34, AccountTableComponent_mat_cell_34_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(35, 17);
        i0.ɵɵtemplate(36, AccountTableComponent_mat_header_cell_36_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(37, AccountTableComponent_mat_cell_37_Template, 2, 0, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵtemplate(38, AccountTableComponent_ng_container_38_Template, 3, 1, "ng-container", 18);
        i0.ɵɵelementContainerStart(39, 19);
        i0.ɵɵtemplate(40, AccountTableComponent_mat_header_cell_40_Template, 1, 0, "mat-header-cell", 6);
        i0.ɵɵtemplate(41, AccountTableComponent_mat_cell_41_Template, 5, 0, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵtemplate(42, AccountTableComponent_mat_header_row_42_Template, 1, 0, "mat-header-row", 20);
        i0.ɵɵtemplate(43, AccountTableComponent_mat_row_43_Template, 1, 0, "mat-row", 21);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("pageIndex", 0)("pageSize", 10)("pageSizeOptions", i0.ɵɵpureFunction0(7, _c0$2));
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("dataSource", ctx.dataSource);
        i0.ɵɵadvance(35);
        i0.ɵɵproperty("ngForOf", ctx.customColumns);
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("matHeaderRowDef", ctx.displayedColumns);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("matRowDefColumns", ctx.displayedColumns);
    } }, directives: [i2.MatPaginator, i3.MatTable, i4.MatSort, i3.MatColumnDef, i3.MatHeaderCellDef, i3.MatCellDef, i5.NgForOf, i3.MatHeaderRowDef, i3.MatRowDef, i3.MatHeaderCell, i4.MatSortHeader, i3.MatCell, i5.NgIf, i6.CdkColumnDef, i6.CdkHeaderCellDef, i6.CdkCellDef, i5$1.DefaultLayoutDirective, i5$1.DefaultLayoutAlignDirective, i8.MatButton, i9.MatIcon, i3.MatHeaderRow, i3.MatRow], pipes: [i10.TranslatePipe], styles: ["crm-account-overview-table{width:100%}crm-account-overview-table .mat-table{background:transparent;box-shadow:none}crm-account-overview-table .mat-table .mat-row{position:relative;cursor:pointer;min-height:64px}crm-account-overview-table .mat-table .mat-cell span{width:auto!important}"], encapsulation: 2 });
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(AccountTableComponent, [{
        type: Component,
        args: [{
                selector: 'crm-account-overview-table',
                templateUrl: './account-table.component.html',
                styleUrls: ['./account-table.component.scss'],
                encapsulation: ViewEncapsulation.None
            }]
    }], function () { return [{ type: i1.AccountService, decorators: [{
                type: Inject,
                args: [forwardRef(() => AccountService)]
            }] }]; }, { displayedColumns: [{
            type: Input
        }], customColumns: [{
            type: Input
        }], AccountFilter: [{
            type: Input
        }], action: [{
            type: Output
        }], paginator: [{
            type: ViewChild,
            args: [MatPaginator, { static: true }]
        }], sort: [{
            type: ViewChild,
            args: [MatSort, { static: true }]
        }] }); })();

class RelationQueryStore extends QueryTableSource {
    constructor(service, paginator, sort, tableFilter) {
        super(paginator, sort, tableFilter);
        this.service = service;
        this.paginator = paginator;
        this.sort = sort;
        this.tableFilter = tableFilter;
        this.filterSubject = new BehaviorSubject(tableFilter);
    }
    queryTable() {
        let filter = this.findFilter();
        this.applyFilter(filter);
        if (filter.keyword)
            filter.keyword += '*';
        return this.service.queryRelation(filter);
    }
    /**
     * Only include paginator to serverMutations. Sorting should be done client side
     * @protected
     */
    initReloadMutations() {
        const dataMutations = [];
        if (this.paginator)
            dataMutations.push(this.paginator.page);
        if (this.filterSubject) {
            dataMutations.push(this.filterSubject);
        }
        return dataMutations;
    }
}

function RelationTableComponent_mat_header_cell_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 14);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "RELATION.HEADER.RELATION"));
} }
function RelationTableComponent_mat_cell_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r12 = ctx.$implicit;
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r2.getDisplayedRelationName(row_r12));
} }
function RelationTableComponent_mat_header_cell_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 14);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate1("", i0.ɵɵpipeBind1(2, 1, "RELATION.HEADER.CLASSIFIER"), " ");
} }
function RelationTableComponent_mat_cell_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r13 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r13 == null ? null : row_r13.classifier);
} }
function RelationTableComponent_mat_header_cell_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 14);
    i0.ɵɵtext(1, "Partner ");
    i0.ɵɵelementEnd();
} }
function RelationTableComponent_mat_cell_16_ng_template_10_Template(rf, ctx) { if (rf & 1) {
    const _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵelementStart(1, "div", 23);
    i0.ɵɵelementStart(2, "mat-icon", 24);
    i0.ɵɵlistener("click", function RelationTableComponent_mat_cell_16_ng_template_10_Template_mat_icon_click_2_listener() { i0.ɵɵrestoreView(_r21); const ctx_r20 = i0.ɵɵnextContext(2); return ctx_r20.onOverlayAction("close"); });
    i0.ɵɵtext(3, "close");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "app-partner-info-view", 25);
    i0.ɵɵlistener("onAction", function RelationTableComponent_mat_cell_16_ng_template_10_Template_app_partner_info_view_onAction_4_listener($event) { i0.ɵɵrestoreView(_r21); const ctx_r22 = i0.ɵɵnextContext(2); return ctx_r22.onOverlayAction($event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r14 = i0.ɵɵnextContext().$implicit;
    const ctx_r19 = i0.ɵɵnextContext();
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("partner", ctx_r19.getSelectedPartner(row_r14));
} }
function RelationTableComponent_mat_cell_16_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "div", 15);
    i0.ɵɵelementStart(2, "span", 16);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "mat-icon", 17, 18);
    i0.ɵɵlistener("click", function RelationTableComponent_mat_cell_16_Template_mat_icon_click_4_listener($event) { i0.ɵɵrestoreView(_r25); const i_r15 = ctx.index; const ctx_r24 = i0.ɵɵnextContext(); ctx_r24.openPartnerDetailOverlay(i_r15); return $event.stopPropagation(); });
    i0.ɵɵtext(6, " info ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(7, "mat-icon", 19, 18);
    i0.ɵɵlistener("click", function RelationTableComponent_mat_cell_16_Template_mat_icon_click_7_listener($event) { i0.ɵɵrestoreView(_r25); const row_r14 = ctx.$implicit; const ctx_r26 = i0.ɵɵnextContext(); ctx_r26.navigateToPartner(row_r14); return $event.stopPropagation(); });
    i0.ɵɵtext(9, " visibility ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(10, RelationTableComponent_mat_cell_16_ng_template_10_Template, 5, 1, "ng-template", 20, 21, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵlistener("backdropClick", function RelationTableComponent_mat_cell_16_Template_ng_template_backdropClick_10_listener() { i0.ɵɵrestoreView(_r25); const ctx_r27 = i0.ɵɵnextContext(); return ctx_r27.partnerDetailsRowId = ""; });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r14 = ctx.$implicit;
    const i_r15 = ctx.index;
    const _r16 = i0.ɵɵreference(5);
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(ctx_r6.getSelectedPartnerName(row_r14));
    i0.ɵɵadvance(7);
    i0.ɵɵproperty("cdkConnectedOverlayOrigin", _r16)("cdkConnectedOverlayOpen", ctx_r6.partnerDetailsRowId === i_r15);
} }
function RelationTableComponent_ng_container_17_mat_header_cell_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r28 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r28.header);
} }
function RelationTableComponent_ng_container_17_mat_cell_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r32 = ctx.$implicit;
    const column_r28 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r28.cell(row_r32));
} }
function RelationTableComponent_ng_container_17_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 26);
    i0.ɵɵtemplate(1, RelationTableComponent_ng_container_17_mat_header_cell_1_Template, 2, 1, "mat-header-cell", 27);
    i0.ɵɵtemplate(2, RelationTableComponent_ng_container_17_mat_cell_2_Template, 2, 1, "mat-cell", 28);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const column_r28 = ctx.$implicit;
    i0.ɵɵproperty("cdkColumnDef", column_r28.columnDef);
} }
function RelationTableComponent_mat_header_cell_19_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-cell");
} }
function RelationTableComponent_mat_cell_20_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "button", 29);
    i0.ɵɵlistener("click", function RelationTableComponent_mat_cell_20_Template_button_click_1_listener($event) { i0.ɵɵrestoreView(_r36); const row_r34 = ctx.$implicit; const ctx_r35 = i0.ɵɵnextContext(); return ctx_r35.onDelete(row_r34 == null ? null : row_r34.relationId, $event); });
    i0.ɵɵelementStart(2, "mat-icon", 30);
    i0.ɵɵtext(3, " delete ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} }
function RelationTableComponent_mat_header_row_21_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-row");
} }
function RelationTableComponent_mat_row_22_Template(rf, ctx) { if (rf & 1) {
    const _r39 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-row", 31);
    i0.ɵɵlistener("click", function RelationTableComponent_mat_row_22_Template_mat_row_click_0_listener() { i0.ɵɵrestoreView(_r39); const row_r37 = ctx.$implicit; const ctx_r38 = i0.ɵɵnextContext(); return ctx_r38.onAction("edit", row_r37); });
    i0.ɵɵelementEnd();
} }
const _c0$1 = function () { return [5, 10, 25, 100]; };
const _c1$1 = ["*"];
const TAG$1 = "RelationTableComponent";
class RelationTableComponent {
    constructor(service, _route, overlay, _router) {
        this.service = service;
        this._route = _route;
        this.overlay = overlay;
        this._router = _router;
        this.displayedColumns = ['role', 'selectedPartner', "classifier"];
        this.customColumns = [];
        this.action = new EventEmitter();
        this.relationFilter = {};
        this.PartnerId = null;
        /*        this._router.routeReuseStrategy.shouldReuseRoute = () => false;*/
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Lifecycle hooks
    // -----------------------------------------------------------------------------------------------------
    ngOnInit() {
        if (this.customColumns && this.customColumns.length > 0) {
            let abc = this.customColumns.map(c => c.columnDef);
            this.displayedColumns.push(...abc);
            this.displayedColumns.push("actions");
        }
        else {
            this.displayedColumns.push("actions");
        }
        this._route.params.pipe().subscribe((params) => {
            this.relationFilter.targetOrSourceIds = [];
            this.relationFilter.targetOrSourceIds.push(params.partnerId);
            if (this.role) {
                this.relationFilter.role = this.role;
            }
            this.PartnerId = params.partnerId;
            this.dataSource = new RelationQueryStore(this.service, this.paginator, this.sort, this.relationFilter);
        });
    }
    ngOnDestroy() {
        this.action.complete();
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Event handlers
    // -----------------------------------------------------------------------------------------------------
    onAction(type = "", relation) {
        if (isDevMode()) {
            console.debug(TAG$1, "onAction", relation);
        }
        event.stopPropagation();
        this.fireAction({ type: type, relation: relation });
    }
    onDelete(relId, event) {
        event.stopPropagation();
        this.fireAction({ relId: relId, type: 'delete' });
    }
    reload() {
        this.applyFilter(this.relationFilter);
    }
    applyFilter(filter) {
        console.log("Appling the filter");
        this.dataSource.filterSubject.next(filter);
    }
    fireAction(action) {
        this.action.emit(action);
    }
    openPartnerDetailOverlay(id) {
        this.partnerDetailsRowId = id;
    }
    // -----------------------------------------------------------------------------------------------------
    // @ Util
    // -----------------------------------------------------------------------------------------------------
    isPartnerSource(row) {
        if (row.sourcePartner) {
            return row.sourcePartner.partnerId === this.PartnerId;
        }
        return false;
    }
    getSelectedPartnerName(row) {
        let sourcePartner = row.sourcePartner;
        let targetPartner = row.targetPartner;
        return this.isPartnerSource(row) ? AccountUtilities.getDisplayName(targetPartner) : AccountUtilities.getDisplayName(sourcePartner);
    }
    getSelectedPartnerId(row) {
        let sourcePartner = row.sourcePartner;
        let targetPartner = row.targetPartner;
        return this.isPartnerSource(row) ? (targetPartner.partnerId) : sourcePartner.partnerId;
    }
    getDisplayedRelationName(row) {
        let config = RelationConfigService.getRelationConfigForRole(row.role);
        if (!config) {
            return "undefined";
        }
        return this.isPartnerSource(row) ? config.relation : config.inverseRelation;
    }
    getDisplayedClassifier(row) {
        if (!row['classifier']) {
            return "undefined";
        }
        return row.classifier;
    }
    getSelectedPartner(row) {
        let sourcePartner = row.sourcePartner;
        let targetPartner = row.targetPartner;
        return this.isPartnerSource(row) ? targetPartner : sourcePartner;
    }
    onOverlayAction(action) {
        if (action === 'close') {
            this.partnerDetailsRowId = "";
        }
    }
    navigateToPartner(row) {
        this._router.navigate(['../', this.getSelectedPartnerId(row)], { relativeTo: this._route });
    }
}
/** @nocollapse */ RelationTableComponent.ɵfac = function RelationTableComponent_Factory(t) { return new (t || RelationTableComponent)(i0.ɵɵdirectiveInject(forwardRef(() => RelationService)), i0.ɵɵdirectiveInject(forwardRef(() => ActivatedRoute)), i0.ɵɵdirectiveInject(forwardRef(() => Overlay)), i0.ɵɵdirectiveInject(forwardRef(() => Router))); };
/** @nocollapse */ RelationTableComponent.ɵcmp = i0.ɵɵdefineComponent({ type: RelationTableComponent, selectors: [["chain-relation-table"]], viewQuery: function RelationTableComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵstaticViewQuery(MatPaginator, true);
        i0.ɵɵstaticViewQuery(MatSort, true);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.paginator = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.sort = _t.first);
    } }, inputs: { dataSource: "dataSource", displayedColumns: "displayedColumns", customColumns: "customColumns", role: "role" }, outputs: { action: "action" }, ngContentSelectors: _c1$1, decls: 23, vars: 8, consts: [["fxLayout", "", "fxLayoutAlign", "space-between center"], ["color", "accent", 3, "pageIndex", "pageSize", "pageSizeOptions"], ["paginator", ""], ["matSort", "", "matSortActive", "role", "matSortDirection", "asc", "matSortDisableClear", "", 1, "table-hover-1", 3, "dataSource"], ["matColumnDef", "role"], ["mat-sort-header", "", 4, "matHeaderCellDef"], [4, "matCellDef"], ["matColumnDef", "classifier"], ["matColumnDef", "selectedPartner"], [3, "cdkColumnDef", 4, "ngFor", "ngForOf"], ["matColumnDef", "actions"], [4, "matHeaderCellDef"], [4, "matHeaderRowDef"], [3, "click", 4, "matRowDef", "matRowDefColumns"], ["mat-sort-header", ""], ["fxLayout", "row", "fxLayoutAlign", "none center"], ["fxFlex", "50"], ["cdkOverlayOrigin", "", "fxFlex", "10", "matTooltip", "Open partner details", 3, "click"], ["trigger", "cdkOverlayOrigin"], ["cdkOverlayOrigin", "", "fxFlex", "10", "matTooltip", "Navigate to partner", 3, "click"], ["cdkConnectedOverlay", "", "cdkConnectedOverlayBackdropClass", "'backdrop'", "cdkConnectedOverlayHasBackdrop", "true", 3, "cdkConnectedOverlayOrigin", "cdkConnectedOverlayOpen", "backdropClick"], ["overlayRef", ""], ["fxLayout", "column", 1, "primary-50-bg", "scale-up-tl"], ["fxLayout", "", "fxLayoutAlign", "end", 1, "accent-A700", "actions"], [2, "cursor", "pointer", 3, "click"], [3, "partner", "onAction"], [3, "cdkColumnDef"], [4, "cdkHeaderCellDef"], [4, "cdkCellDef"], ["mat-raised-button", "", 1, "icon-btn2", "primary-50-bg", 3, "click"], ["color", "warn", 1, "yukawa-navy-A700-fg"], [3, "click"]], template: function RelationTableComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef();
        i0.ɵɵelementStart(0, "mat-toolbar");
        i0.ɵɵelementStart(1, "mat-toolbar-row", 0);
        i0.ɵɵprojection(2);
        i0.ɵɵelementStart(3, "mat-paginator", 1, 2);
        i0.ɵɵelementStart(5, "span");
        i0.ɵɵtext(6, "Test");
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(7, "mat-table", 3);
        i0.ɵɵelementContainerStart(8, 4);
        i0.ɵɵtemplate(9, RelationTableComponent_mat_header_cell_9_Template, 3, 3, "mat-header-cell", 5);
        i0.ɵɵtemplate(10, RelationTableComponent_mat_cell_10_Template, 3, 1, "mat-cell", 6);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(11, 7);
        i0.ɵɵtemplate(12, RelationTableComponent_mat_header_cell_12_Template, 3, 3, "mat-header-cell", 5);
        i0.ɵɵtemplate(13, RelationTableComponent_mat_cell_13_Template, 3, 1, "mat-cell", 6);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(14, 8);
        i0.ɵɵtemplate(15, RelationTableComponent_mat_header_cell_15_Template, 2, 0, "mat-header-cell", 5);
        i0.ɵɵtemplate(16, RelationTableComponent_mat_cell_16_Template, 12, 3, "mat-cell", 6);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵtemplate(17, RelationTableComponent_ng_container_17_Template, 3, 1, "ng-container", 9);
        i0.ɵɵelementContainerStart(18, 10);
        i0.ɵɵtemplate(19, RelationTableComponent_mat_header_cell_19_Template, 1, 0, "mat-header-cell", 11);
        i0.ɵɵtemplate(20, RelationTableComponent_mat_cell_20_Template, 4, 0, "mat-cell", 6);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵtemplate(21, RelationTableComponent_mat_header_row_21_Template, 1, 0, "mat-header-row", 12);
        i0.ɵɵtemplate(22, RelationTableComponent_mat_row_22_Template, 1, 0, "mat-row", 13);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(3);
        i0.ɵɵproperty("pageIndex", 0)("pageSize", 10)("pageSizeOptions", i0.ɵɵpureFunction0(7, _c0$1));
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("dataSource", ctx.dataSource);
        i0.ɵɵadvance(10);
        i0.ɵɵproperty("ngForOf", ctx.customColumns);
        i0.ɵɵadvance(4);
        i0.ɵɵproperty("matHeaderRowDef", ctx.displayedColumns);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("matRowDefColumns", ctx.displayedColumns);
    } }, directives: [i4$1.MatToolbar, i4$1.MatToolbarRow, i5$1.DefaultLayoutDirective, i5$1.DefaultLayoutAlignDirective, i2.MatPaginator, i3.MatTable, i4.MatSort, i3.MatColumnDef, i3.MatHeaderCellDef, i3.MatCellDef, i5.NgForOf, i3.MatHeaderRowDef, i3.MatRowDef, i3.MatHeaderCell, i4.MatSortHeader, i3.MatCell, i5$1.DefaultFlexDirective, i9.MatIcon, i3$1.CdkOverlayOrigin, i11.MatTooltip, i3$1.CdkConnectedOverlay, i6.CdkColumnDef, i6.CdkHeaderCellDef, i6.CdkCellDef, i8.MatButton, i3.MatHeaderRow, i3.MatRow], pipes: [i10.TranslatePipe], styles: ["chain-relation-table{width:100%}chain-relation-table .mat-table{background:transparent;box-shadow:none}chain-relation-table .mat-table .mat-row{position:relative;cursor:pointer;min-height:64px}chain-relation-table .mat-table .mat-cell:last-child button{float:right}chain-relation-table .mat-table .mat-cell span{width:auto!important}chain-relation-table .mat-column-selectedPartner{flex:0 0 35%!important}"], encapsulation: 2 });
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(RelationTableComponent, [{
        type: Component,
        args: [{
                selector: 'chain-relation-table',
                templateUrl: './relation-table.component.html',
                styleUrls: ['./relation-table.component.scss'],
                encapsulation: ViewEncapsulation.None
            }]
    }], function () { return [{ type: i1.RelationService, decorators: [{
                type: Inject,
                args: [forwardRef(() => RelationService)]
            }] }, { type: i2$1.ActivatedRoute, decorators: [{
                type: Inject,
                args: [forwardRef(() => ActivatedRoute)]
            }] }, { type: i3$1.Overlay, decorators: [{
                type: Inject,
                args: [forwardRef(() => Overlay)]
            }] }, { type: i2$1.Router, decorators: [{
                type: Inject,
                args: [forwardRef(() => Router)]
            }] }]; }, { dataSource: [{
            type: Input
        }], displayedColumns: [{
            type: Input
        }], customColumns: [{
            type: Input
        }], action: [{
            type: Output
        }], paginator: [{
            type: ViewChild,
            args: [MatPaginator, { static: true }]
        }], sort: [{
            type: ViewChild,
            args: [MatSort, { static: true }]
        }], role: [{
            type: Input
        }] }); })();

class ContactLogQueryStore extends QueryTableSource {
    constructor(service, paginator, sort, tableFilter) {
        super(paginator, sort, tableFilter);
        this.service = service;
        this.paginator = paginator;
        this.sort = sort;
        this.tableFilter = tableFilter;
        this.filterSubject = new BehaviorSubject(tableFilter);
    }
    queryTable() {
        let filter = this.findFilter();
        this.applyFilter(filter);
        if (filter.keyword)
            filter.keyword += '*';
        return this.service.queryContactLog(filter);
    }
}

function ContactLogTableComponent_mat_header_cell_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.SHORT_NAME"));
} }
function ContactLogTableComponent_mat_cell_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r17 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r17 == null ? null : row_r17.info == null ? null : row_r17.info.shortName);
} }
function ContactLogTableComponent_mat_header_cell_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.COMMUNICATION_CHANNEL"));
} }
function ContactLogTableComponent_mat_cell_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r18 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r18.communicationChannel);
} }
function ContactLogTableComponent_mat_header_cell_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.STATUS"));
} }
function ContactLogTableComponent_mat_cell_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r19 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r19.status);
} }
function ContactLogTableComponent_mat_header_cell_17_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.LOCATION"));
} }
function ContactLogTableComponent_mat_cell_18_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r20 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(row_r20.location);
} }
function ContactLogTableComponent_mat_header_cell_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.DATE"));
} }
function ContactLogTableComponent_mat_cell_21_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "date");
    i0.ɵɵpipe(4, "date");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r21 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate2("", i0.ɵɵpipeBind1(3, 2, row_r21.dateRange == null ? null : row_r21.dateRange.from), "\u00A0-\u00A0", i0.ɵɵpipeBind1(4, 4, row_r21.dateRange == null ? null : row_r21.dateRange.to), "");
} }
function ContactLogTableComponent_mat_header_cell_23_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "translate");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(2, 1, "CONTACT_LOG.HEADER.DUE_DATE"));
} }
function ContactLogTableComponent_mat_cell_24_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵelementStart(1, "span");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "date");
    i0.ɵɵelementEnd();
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r22 = ctx.$implicit;
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(3, 1, row_r22 == null ? null : row_r22.dueDate));
} }
function ContactLogTableComponent_ng_container_25_mat_header_cell_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-header-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const column_r23 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r23.header);
} }
function ContactLogTableComponent_ng_container_25_mat_cell_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "mat-cell");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const row_r27 = ctx.$implicit;
    const column_r23 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵtextInterpolate(column_r23.cell(row_r27));
} }
function ContactLogTableComponent_ng_container_25_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0, 17);
    i0.ɵɵtemplate(1, ContactLogTableComponent_ng_container_25_mat_header_cell_1_Template, 2, 1, "mat-header-cell", 18);
    i0.ɵɵtemplate(2, ContactLogTableComponent_ng_container_25_mat_cell_2_Template, 2, 1, "mat-cell", 19);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const column_r23 = ctx.$implicit;
    i0.ɵɵproperty("cdkColumnDef", column_r23.columnDef);
} }
function ContactLogTableComponent_mat_header_row_26_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "mat-header-row");
} }
function ContactLogTableComponent_mat_row_27_Template(rf, ctx) { if (rf & 1) {
    const _r31 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "mat-row", 20);
    i0.ɵɵlistener("click", function ContactLogTableComponent_mat_row_27_Template_mat_row_click_0_listener() { i0.ɵɵrestoreView(_r31); const row_r29 = ctx.$implicit; const ctx_r30 = i0.ɵɵnextContext(); return ctx_r30.onAction("edit", row_r29); });
    i0.ɵɵelementEnd();
} }
const _c0 = function () { return [5, 10, 25, 100]; };
const _c1 = ["*"];
const TAG = "ContactLogTableComponent";
class ContactLogTableComponent {
    constructor(service, _route, cdRef) {
        //  this.dataSource =  new ContactLogQueryStore(this.service,this.paginator, this.sort)
        this.service = service;
        this._route = _route;
        this.cdRef = cdRef;
        this.Partners = [];
        this.displayedColumns = ['info.shortName', 'location', 'status', 'dateRange'];
        this.customColumns = [];
        this.matSortActive = 'dateRange';
        this.action = new EventEmitter();
        this.contactLogFilter = {};
    }
    ngOnInit() {
        if (this.dataSource) {
            this.dataSource.setPaginator(this.paginator);
        }
        if (this.customColumns && this.customColumns.length > 0) {
            let abc = this.customColumns.map(c => c.columnDef);
            this.displayedColumns.push(...abc);
        }
        this._route.params.pipe().subscribe((params) => {
            if (!this.dataSource) {
                this.contactLogFilter.participantId = params.partnerId;
                this.dataSource = new ContactLogQueryStore(this.service, this.paginator, this.sort, this.contactLogFilter);
                this.cdRef.detectChanges();
            }
        });
    }
    ngAfterViewInit() {
    }
    ngOnDestroy() {
        this.action.complete();
    }
    reload() {
        this.applyFilter(this.contactLogFilter);
    }
    applyFilter(filter) {
        this.dataSource.filterSubject.next(filter);
    }
    onAction(type = "", contactLog) {
        if (isDevMode()) {
            console.debug(TAG, "onAction", contactLog);
        }
        this.fireAction({ type: type, contactLog: contactLog });
    }
    fireAction(action) {
        this.action.emit(action);
    }
    partnerName(participantId) {
        let partner = this.Partners.find(x => x.partnerId == participantId);
        return `${partner.firstName ? partner.firstName : partner.companyName} ${partner.lastName ? partner.lastName : ""}`;
    }
}
/** @nocollapse */ ContactLogTableComponent.ɵfac = function ContactLogTableComponent_Factory(t) { return new (t || ContactLogTableComponent)(i0.ɵɵdirectiveInject(forwardRef(() => ContactLogService)), i0.ɵɵdirectiveInject(forwardRef(() => ActivatedRoute)), i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
/** @nocollapse */ ContactLogTableComponent.ɵcmp = i0.ɵɵdefineComponent({ type: ContactLogTableComponent, selectors: [["chain-contact-log-table"]], viewQuery: function ContactLogTableComponent_Query(rf, ctx) { if (rf & 1) {
        i0.ɵɵstaticViewQuery(MatPaginator, true);
        i0.ɵɵstaticViewQuery(MatSort, true);
    } if (rf & 2) {
        let _t;
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.paginator = _t.first);
        i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.sort = _t.first);
    } }, inputs: { dataSource: "dataSource", Partners: "Partners", displayedColumns: "displayedColumns", customColumns: "customColumns", matSortActive: "matSortActive" }, outputs: { action: "action" }, ngContentSelectors: _c1, decls: 28, vars: 9, consts: [["fxLayout", "", "fxLayoutAlign", "space-between center"], [3, "pageIndex", "pageSize", "pageSizeOptions"], ["paginator", ""], ["matSort", "", "matSortDirection", "desc", "matSortDisableClear", "", 3, "dataSource", "matSortActive"], ["table", ""], ["matColumnDef", "info.shortName"], ["mat-sort-header", "", 4, "matHeaderCellDef"], [4, "matCellDef"], ["matColumnDef", "communicationChannel"], ["matColumnDef", "status"], ["matColumnDef", "location"], ["matColumnDef", "dateRange"], ["matColumnDef", "dueDate"], [3, "cdkColumnDef", 4, "ngFor", "ngForOf"], [4, "matHeaderRowDef"], [3, "click", 4, "matRowDef", "matRowDefColumns"], ["mat-sort-header", ""], [3, "cdkColumnDef"], [4, "cdkHeaderCellDef"], [4, "cdkCellDef"], [3, "click"]], template: function ContactLogTableComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵprojectionDef();
        i0.ɵɵelementStart(0, "mat-toolbar");
        i0.ɵɵelementStart(1, "mat-toolbar-row", 0);
        i0.ɵɵprojection(2);
        i0.ɵɵelement(3, "mat-paginator", 1, 2);
        i0.ɵɵelementEnd();
        i0.ɵɵelementEnd();
        i0.ɵɵelementStart(5, "mat-table", 3, 4);
        i0.ɵɵelementContainerStart(7, 5);
        i0.ɵɵtemplate(8, ContactLogTableComponent_mat_header_cell_8_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(9, ContactLogTableComponent_mat_cell_9_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(10, 8);
        i0.ɵɵtemplate(11, ContactLogTableComponent_mat_header_cell_11_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(12, ContactLogTableComponent_mat_cell_12_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(13, 9);
        i0.ɵɵtemplate(14, ContactLogTableComponent_mat_header_cell_14_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(15, ContactLogTableComponent_mat_cell_15_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(16, 10);
        i0.ɵɵtemplate(17, ContactLogTableComponent_mat_header_cell_17_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(18, ContactLogTableComponent_mat_cell_18_Template, 3, 1, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(19, 11);
        i0.ɵɵtemplate(20, ContactLogTableComponent_mat_header_cell_20_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(21, ContactLogTableComponent_mat_cell_21_Template, 5, 6, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵelementContainerStart(22, 12);
        i0.ɵɵtemplate(23, ContactLogTableComponent_mat_header_cell_23_Template, 3, 3, "mat-header-cell", 6);
        i0.ɵɵtemplate(24, ContactLogTableComponent_mat_cell_24_Template, 4, 3, "mat-cell", 7);
        i0.ɵɵelementContainerEnd();
        i0.ɵɵtemplate(25, ContactLogTableComponent_ng_container_25_Template, 3, 1, "ng-container", 13);
        i0.ɵɵtemplate(26, ContactLogTableComponent_mat_header_row_26_Template, 1, 0, "mat-header-row", 14);
        i0.ɵɵtemplate(27, ContactLogTableComponent_mat_row_27_Template, 1, 0, "mat-row", 15);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(3);
        i0.ɵɵproperty("pageIndex", 0)("pageSize", 10)("pageSizeOptions", i0.ɵɵpureFunction0(8, _c0));
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("dataSource", ctx.dataSource)("matSortActive", ctx.matSortActive);
        i0.ɵɵadvance(20);
        i0.ɵɵproperty("ngForOf", ctx.customColumns);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("matHeaderRowDef", ctx.displayedColumns);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("matRowDefColumns", ctx.displayedColumns);
    } }, directives: [i4$1.MatToolbar, i4$1.MatToolbarRow, i5$1.DefaultLayoutDirective, i5$1.DefaultLayoutAlignDirective, i2.MatPaginator, i3.MatTable, i4.MatSort, i3.MatColumnDef, i3.MatHeaderCellDef, i3.MatCellDef, i5.NgForOf, i3.MatHeaderRowDef, i3.MatRowDef, i3.MatHeaderCell, i4.MatSortHeader, i3.MatCell, i6.CdkColumnDef, i6.CdkHeaderCellDef, i6.CdkCellDef, i3.MatHeaderRow, i3.MatRow], pipes: [i10.TranslatePipe, i5.DatePipe], styles: ["contact-log-table{width:100%}contact-log-table .mat-table{background:transparent;box-shadow:none}contact-log-table .mat-table .mat-row{position:relative;cursor:pointer;min-height:64px}.page-inner mat-table.mat-table{background:none!important;margin-bottom:30px}.page-inner mat-table.mat-table mat-header-row,.page-inner mat-table.mat-table mat-row{border:0;min-height:0}.page-inner mat-table.mat-table mat-row:nth-child(2n){background-color:#fff}.page-inner mat-table.mat-table mat-row mat-cell{color:#143c27;font-size:16px;font-weight:700;padding:15px 10px;height:auto;line-height:normal;min-height:0}.page-inner mat-table.mat-table mat-header-row mat-header-cell:first-child,.page-inner mat-table.mat-table mat-row mat-cell:first-child{padding-left:40px}.page-inner mat-table.mat-table mat-header-row mat-header-cell:last-child,.page-inner mat-table.mat-table mat-row mat-cell:last-child{padding-right:100px}mat-table.mat-table mat-header-row{background-color:#143c27}mat-table.mat-table mat-header-row mat-header-cell{color:#fff!important;font-weight:700;font-size:16px;padding:15px 10px}.page-inner mat-table.mat-table mat-row mat-cell button span{width:auto!important;white-space:normal}.page-inner mat-table.mat-table mat-row mat-cell button{box-shadow:none!important;background-color:transparent;color:#143c27}.page-inner mat-table.mat-table mat-row mat-cell>span:not(.status){display:block;width:100px;overflow:hidden;white-space:nowrap;text-overflow:ellipsis}.page-inner mat-table.mat-table mat-row mat-cell span.status{height:14px;width:14px;padding:0;line-height:normal}@media (max-width:600px){.page-inner mat-table.mat-table mat-header-row mat-header-cell:first-child,.page-inner mat-table.mat-table mat-row mat-cell:first-child{padding-left:20px}.page-inner mat-table.mat-table mat-header-row mat-header-cell:last-child,.page-inner mat-table.mat-table mat-row mat-cell:last-child{padding-right:20px}.page-inner mat-paginator,.page-inner mat-table.mat-table{width:150%}}@media (max-width:490px){.page-inner mat-paginator,.page-inner mat-table.mat-table{width:200%}}"], encapsulation: 2 });
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(ContactLogTableComponent, [{
        type: Component,
        args: [{
                selector: 'chain-contact-log-table',
                templateUrl: './contact-log-table.component.html',
                styleUrls: ['./contact-log-table.component.scss'],
                encapsulation: ViewEncapsulation.None
            }]
    }], function () { return [{ type: i1.ContactLogService, decorators: [{
                type: Inject,
                args: [forwardRef(() => ContactLogService)]
            }] }, { type: i2$1.ActivatedRoute, decorators: [{
                type: Inject,
                args: [forwardRef(() => ActivatedRoute)]
            }] }, { type: i0.ChangeDetectorRef }]; }, { dataSource: [{
            type: Input
        }], Partners: [{
            type: Input
        }], displayedColumns: [{
            type: Input
        }], customColumns: [{
            type: Input
        }], matSortActive: [{
            type: Input
        }], action: [{
            type: Output
        }], paginator: [{
            type: ViewChild,
            args: [MatPaginator, { static: true }]
        }], sort: [{
            type: ViewChild,
            args: [MatSort, { static: true }]
        }] }); })();

// modules
// services
class CRMCompModule {
}
/** @nocollapse */ CRMCompModule.ɵmod = i0.ɵɵdefineNgModule({ type: CRMCompModule });
/** @nocollapse */ CRMCompModule.ɵinj = i0.ɵɵdefineInjector({ factory: function CRMCompModule_Factory(t) { return new (t || CRMCompModule)(); }, providers: [], imports: [[
            CommonModule,
            FormsModule,
            ReactiveFormsModule,
            MatDatepickerModule,
            MatButtonModule,
            MatIconModule,
            MatRippleModule,
            MatSlideToggleModule,
            MatTableModule,
            MatSortModule,
            MatTooltipModule,
            FlexLayoutModule,
            MatMenuModule,
            MatCheckboxModule,
            HttpClientModule,
            OverlayModule,
            MatPaginatorModule,
            CdkTableModule,
            TranslateModule.forChild(),
            MatToolbarModule
        ]] });
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CRMCompModule, { declarations: [AccountTableComponent, RelationTableComponent, ContactLogTableComponent], imports: [CommonModule,
        FormsModule,
        ReactiveFormsModule,
        MatDatepickerModule,
        MatButtonModule,
        MatIconModule,
        MatRippleModule,
        MatSlideToggleModule,
        MatTableModule,
        MatSortModule,
        MatTooltipModule,
        FlexLayoutModule,
        MatMenuModule,
        MatCheckboxModule,
        HttpClientModule,
        OverlayModule,
        MatPaginatorModule,
        CdkTableModule, i10.TranslateModule, MatToolbarModule], exports: [AccountTableComponent, RelationTableComponent, ContactLogTableComponent] }); })();
/*@__PURE__*/ (function () { i0.ɵsetClassMetadata(CRMCompModule, [{
        type: NgModule,
        args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    ReactiveFormsModule,
                    MatDatepickerModule,
                    MatButtonModule,
                    MatIconModule,
                    MatRippleModule,
                    MatSlideToggleModule,
                    MatTableModule,
                    MatSortModule,
                    MatTooltipModule,
                    FlexLayoutModule,
                    MatMenuModule,
                    MatCheckboxModule,
                    HttpClientModule,
                    OverlayModule,
                    MatPaginatorModule,
                    CdkTableModule,
                    TranslateModule.forChild(),
                    MatToolbarModule
                ],
                declarations: [
                    AccountTableComponent, RelationTableComponent, ContactLogTableComponent
                ],
                exports: [
                    AccountTableComponent, RelationTableComponent, ContactLogTableComponent
                ],
                providers: [],
                entryComponents: [],
                schemas: [CUSTOM_ELEMENTS_SCHEMA]
            }]
    }], null, null); })();

/*
 * Public API
 */
//export * from './account/account.service';

/**
 * Generated bundle index. Do not edit.
 */

export { AccountQueryStore, AccountTableComponent, CRMCompModule, ContactLogQueryStore, ContactLogTableComponent, RelationQueryStore, RelationTableComponent };
//# sourceMappingURL=yukawa-chain-crm-angular-comp.js.map
